
#ifndef AP_TIME_SERIES_H
#define AP_TIME_SERIES_H
namespace Astropulse {

struct time_series_f_t {
  enum { MAXLENGTH = 256 };
  float data[MAXLENGTH];
  int length;

  time_series_f_t() : length(0) { }
  void build(float array[], int index, int range);
};
};

#endif
